MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001646Community[OCCT] OCCT:Modeling Algorithmspublic2003-02-04 15:302011-12-15 16:41
Reporteremo 
Assigned Toofv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0001646: BRepPrimAPI_MakePrism bug
DescriptionThis bug has been added by Adrian Helcman at
http://www.opencascade.org/forumorg/bug.php?bug_id=109&f=8 [^] .

-------------
Wrong result of the BRepPrimAPI_MakePrism applied on arc-like edge.

Here is the testing source code which leads to not correct prism shape
(BRepPrimAPI_MakePrism).

How to test:
Add the source code from source.txt somewhere to testing application,
Put arc.dta and arc_ok.dta into C:\,
Call "Prism_Bug_Test()".

There is some problem with o_prism shape in the function "Prism_Bug_Test()".
When I tried to obtain the section of o_prism shape with a horisontal plane,
there were no result edges!
O_prism is also not correctly displayed - just selection frame!
When the "arc_ok.dta" is used (in Prism_Bug_Test()) instead of "arc.dta", the
situation is different. Section is ok, and displayed shape is correct too.

-----------

See files attached.
TagsNo tags attached.
Test case number
Attached Filesjpeg file icon prismbug.jpeg (13,169 bytes) 2003-02-04 11:30
txt file icon readme.txt (679 bytes) 2003-02-04 11:31
txt file icon source.txt (3,054 bytes) 2003-02-04 11:32
jpg file icon arc_ok.jpg (3,395 bytes) 2003-02-04 11:32
jpg file icon arc.jpg (3,529 bytes) 2003-02-04 11:33
? file icon arc_ok.dta (2,023 bytes) 2003-02-04 11:33
? file icon arc.dta (2,028 bytes) 2003-02-04 11:34
zip file icon files.zip (2,571 bytes) 2003-04-03 19:34
gz file icon dev-1646-1.tar.gz (2,629 bytes) 2003-04-17 14:43

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-03-17 12:45 bugmaster Assigned To bugmaster => ofv
2003-03-17 12:45 bugmaster Status new => assigned
2003-04-17 18:42 ofv Status assigned => resolved
2003-04-21 20:00 apv CC => apv
2003-04-21 20:01 apv CC => aki
2003-05-12 19:28 aki Status resolved => tested
2003-05-19 12:10 bugmaster Status tested => closed
2003-05-19 12:10 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-15 16:41 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker